# Class: Haml::Filters::Css

Inherits:
  TextBase
  - Object
  - Base
  - TextBase
  - Haml::Filters::Css
  show all

Defined in:
  lib/haml/filters/css.rb

## Instance Method Summary collapse

- #compile(node)

### Methods inherited from TextBase

#compile_text!

### Methods inherited from Base

#initialize

## Constructor Details

This class inherits a constructor from Haml::Filters::Base

## Instance Method Details

### #compile(node)

    5
    6
    7
    8
    9
    10
    11
    12

    # File 'lib/haml/filters/css.rb', line 5

    def compile(node)
      case @format
      when :xhtml
        compile_xhtml(node)
      else
        compile_html(node)
      end
    end